# Gimp.vector_2d_to_3d_val

    function vector_2d_to_3d_val(sx: Number(gint), sy: Number(gint), w: Number(gint), h: Number(gint), x: Number(gint), y: Number(gint), vp: Gimp.Vector3, p: Gimp.Vector3): Gimp.Vector3 {
        // Gjs wrapper for gimp_vector_2d_to_3d_val()
    }

This function is identical to Gimp.vector_2d_to_3d but the position of the @observer and the resulting point p are passed by value rather than by reference.

sx

  the abscissa of the upper-left screen rectangle.

sy

  the ordinate of the upper-left screen rectangle.

w

  the width of the screen rectangle.

h

  the height of the screen rectangle.

x

  the abscissa of the point in the screen rectangle to map.

y

  the ordinate of the point in the screen rectangle to map.

vp

  position of the observer.

p

  the resulting point.

Returns

  the computed Gimp.Vector3 point.